Arduino

Reference Language | Libraries | Comparison | Changes

Esplora

## readJoystickY()

#### Description

Read the position of the Y-axis of the joystick. When the joystick is in the center, it returns zero. Positive values indicate the joystick has moved up and negative values when moved down.

#### Syntax

Esplora.readJoystickY()

#### Parameters

none

#### Returns

int : 0 when the joystick is in the middle of the y-axis; 1 to 512 when the joystick is moved up; -1 to -512 when the joystick is moved down.

#### Example

#include <Esplora.h>
void setup()
{
Serial.begin(9600);
}
void loop()
{
int value = Esplora.readJoystickY();
Serial.println(value);
delay(1000);
}
[Get Code]

#### See also

readJoystickY() Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers